Index: /code/trunk/cmake/LibraryConfigTardis.cmake
===================================================================
--- /code/trunk/cmake/LibraryConfigTardis.cmake	(revision 6745)
+++ /code/trunk/cmake/LibraryConfigTardis.cmake	(revision 6746)
@@ -44,4 +44,5 @@
   #SET(BOOST_INCLUDEDIR "/usr/pack/boost-1.42.0-bs/include")
   #SET(BOOST_LIBRARYDIR "/usr/pack/boost-1.42.0-bs/i686-debian-linux4.0/lib")
+  SET(Boost_VERSION 104200)
   SET(Boost_INCLUDE_DIRS "/usr/pack/boost-1.42.0-bs/include" CACHE PATH "")
   SET(Boost_SYSTEM_LIBRARY_RELEASE "/usr/pack/boost-1.42.0-bs/i686-debian-linux5.0/lib/libboost_system.so" CACHE PATH "")
Index: /code/trunk/data/gui/layouts/AudioMenu.layout
===================================================================
--- /code/trunk/data/gui/layouts/AudioMenu.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/AudioMenu.layout	(revision 6746)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/AudioBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/AudioBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/AudioWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/AudioWindow" >
             <Property Name="Text" Value="Audio" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.2875,0},{0.8,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/MasterVolume" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/MasterVolume" >
                 <Property Name="Text" Value="Master volume               " />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -23,5 +23,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.15,0},{0.5625,0},{0.3525,0}}" />
-                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/MasterScrollbar" >
+                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/MasterScrollbar" >
                     <Property Name="PageSize" Value="0" />
                     <Property Name="StepSize" Value="1" />
@@ -36,5 +36,5 @@
                     <Event Name="ScrollPosChanged" Function="AudioMenu.AudioMasterScrollbar_changed" />
                 </Window>
-                <Window Type="TaharezLook/Checkbox" Name="orxonox/MasterCheckbox" >
+                <Window Type="MenuWidgets/Checkbox" Name="orxonox/MasterCheckbox" >
                     <Property Name="Text" Value="Mute" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -43,5 +43,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/MusicVolume" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/MusicVolume" >
                 <Property Name="Text" Value="Music volume               " />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -50,5 +50,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.4335,0},{0.5625,0},{0.636,0}}" />
-                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/MusicScrollbar" >
+                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/MusicScrollbar" >
                     <Property Name="PageSize" Value="0" />
                     <Property Name="StepSize" Value="1" />
@@ -63,5 +63,5 @@
                     <Event Name="ScrollPosChanged" Function="AudioMenu.AudioMusicScrollbar_changed" />
                 </Window>
-                <Window Type="TaharezLook/Checkbox" Name="orxonox/MusicCheckbox" >
+                <Window Type="MenuWidgets/Checkbox" Name="orxonox/MusicCheckbox" >
                     <Property Name="Text" Value="Mute" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -70,5 +70,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/EffectsVolume" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/EffectsVolume" >
                 <Property Name="Text" Value="Effects volume               " />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -77,5 +77,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.717,0},{0.5625,0},{0.9195,0}}" />
-                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/EffectsScrollbar" >
+                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/EffectsScrollbar" >
                     <Property Name="PageSize" Value="0" />
                     <Property Name="StepSize" Value="1" />
@@ -90,5 +90,5 @@
                     <Event Name="ScrollPosChanged" Function="AudioMenu.AudioEffectsScrollbar_changed" />
                 </Window>
-                <Window Type="TaharezLook/Checkbox" Name="orxonox/EffectsCheckbox" >
+                <Window Type="MenuWidgets/Checkbox" Name="orxonox/EffectsCheckbox" >
                     <Property Name="Text" Value="Mute" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -97,5 +97,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/AudioTheme" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/AudioTheme" >
                 <Property Name="Text" Value="Theme" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -104,5 +104,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.604166,0},{0.15,0},{0.958333,0},{0.636,0}}" />
-                <Window Type="TaharezLook/Listbox" Name="orxonox/AudioThemeListbox" >
+                <Window Type="MenuWidgets/Listbox" Name="orxonox/AudioThemeListbox" >
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
                     <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.225,0},{0.95,0},{0.92,0}}" />
@@ -110,5 +110,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/AudioInfo" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/AudioInfo" >
                 <Property Name="Text" >Theme changes might take
 up to a minute.</Property>
@@ -121,5 +121,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/AudioBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/AudioBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: /code/trunk/data/gui/layouts/ControlsMenu.layout
===================================================================
--- /code/trunk/data/gui/layouts/ControlsMenu.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/ControlsMenu.layout	(revision 6746)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/ControlsBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/ControlsBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/ControlsWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/ControlsWindow" >
             <Property Name="Text" Value="Controls" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/Button" Name="orxonox/MouseControlsButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/MouseControlsButton" >
                 <Property Name="Text" Value="Mouse controls" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -22,5 +22,5 @@
                 <Event Name="Clicked" Function="ControlsMenu.ControlsMouseControlsButton_clicked"/>
             </Window>
-            <Window Type="TaharezLook/Button" Name="orxonox/KeybindingsButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/KeybindingsButton" >
                 <Property Name="Text" Value="Keybindings" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -29,5 +29,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/ControlsBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/ControlsBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: /code/trunk/data/gui/layouts/CreditsMenu.layout
===================================================================
--- /code/trunk/data/gui/layouts/CreditsMenu.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/CreditsMenu.layout	(revision 6746)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/CreditsBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/CreditsBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/CreditsWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/CreditsWindow" >
             <Property Name="Text" Value="Credits" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/CreditsText" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/CreditsText" >
                 <Property Name="Text">Orxonox version 0.0.3
 
@@ -32,5 +32,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/CreditsBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/CreditsBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: /code/trunk/data/gui/layouts/DecisionPopup.layout
===================================================================
--- /code/trunk/data/gui/layouts/DecisionPopup.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/DecisionPopup.layout	(revision 6746)
@@ -6,10 +6,9 @@
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="TaharezLook/StaticImage" Name="orxonox/DecisionPopup_Background" >
+        <Window Type="MenuWidgets/StaticImage" Name="orxonox/DecisionPopup_Background" >
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
             <Property Name="Alpha" Value="0.6" />
-            <Window Type="TaharezLook/Button" Name="orxonox/DecisionPopup_button_yes" >
-                <Property Name="Font" Value="BlueHighway-12" />
+            <Window Type="MenuWidgets/Button" Name="orxonox/DecisionPopup_button_yes" >
                 <Property Name="Text" Value="Yes" />
                 <Property Name="Alpha" Value="0.7" />
@@ -19,6 +18,5 @@
                 <Event Name="Clicked" Function="DecisionPopup.button_yes"/>
             </Window>
-            <Window Type="TaharezLook/Button" Name="orxonox/DecisionPopup_button_no" >
-                <Property Name="Font" Value="BlueHighway-12" />
+            <Window Type="MenuWidgets/Button" Name="orxonox/DecisionPopup_button_no" >
                 <Property Name="Text" Value="No" />
                 <Property Name="Alpha" Value="0.8" />
@@ -28,5 +26,5 @@
                 <Event Name="Clicked" Function="DecisionPopup.button_no"/>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/DecisionPopup_text" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/DecisionPopup_text" >
                 <Property Name="Text" Value="Template text" />
                 <Property Name="HorzFormatting" Value="WordWrapCentred" />
Index: /code/trunk/data/gui/layouts/GameplayMenu.layout
===================================================================
--- /code/trunk/data/gui/layouts/GameplayMenu.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/GameplayMenu.layout	(revision 6746)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/GameplayBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/GameplayBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/GameplayWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/GameplayWindow" >
             <Property Name="Text" Value="Gameplay" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/Difficulty" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/Difficulty" >
                 <Property Name="Text" Value="Difficulty" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -23,5 +23,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.475,0},{0.9,0}}" />
-                <Window Type="TaharezLook/RadioButton" Name="orxonox/DifficultyEasyButton" >
+                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyEasyButton" >
                     <Property Name="Text" Value="Easy" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -29,5 +29,5 @@
                     <Event Name="SelectStateChanged" Function="GameplayMenu.GameplayDifficultyEasyButton_clicked"/>
                 </Window>
-                <Window Type="TaharezLook/RadioButton" Name="orxonox/DifficultyNormalButton" >
+                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyNormalButton" >
                     <Property Name="Text" Value="Normal" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -35,5 +35,5 @@
                     <Event Name="SelectStateChanged" Function="GameplayMenu.GameplayDifficultyNormalButton_clicked"/>
                 </Window>
-                <Window Type="TaharezLook/RadioButton" Name="orxonox/DifficultyHardButton" >
+                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyHardButton" >
                     <Property Name="Text" Value="Hard" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -42,5 +42,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/Theme" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/Theme" >
                 <Property Name="Text" Value="Theme" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -49,5 +49,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.2,0},{0.95,0},{0.9,0}}" />
-                <Window Type="TaharezLook/Combobox" Name="orxonox/ThemeCombobox" >
+                <Window Type="MenuWidgets/Combobox" Name="orxonox/ThemeCombobox" >
                     <Property Name="AlwaysOnTop" Value="True" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -59,5 +59,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/GameplayBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/GameplayBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: /code/trunk/data/gui/layouts/GraphicsMenu.layout
===================================================================
--- /code/trunk/data/gui/layouts/GraphicsMenu.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/GraphicsMenu.layout	(revision 6746)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/GraphicsBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/GraphicsBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/GraphicsWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/GraphicsWindow" >
             <Property Name="Text" Value="Graphics" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/Resolution" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/Resolution" >
                 <Property Name="Text" Value="Resolution" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -23,5 +23,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.475,0},{0.92,0}}" />
-                <Window Type="TaharezLook/Listbox" Name="orxonox/ResolutionListbox" >
+                <Window Type="MenuWidgets/Listbox" Name="orxonox/ResolutionListbox" >
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
                     <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.95,0}}" />
@@ -29,5 +29,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/Brightness" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/Brightness" >
                 <Property Name="Text" Value="Brightness" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -36,5 +36,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.15,0},{0.95,0},{0.35,0}}" />
-                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/BrightnessScrollbar" >
+                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/BrightnessScrollbar" >
                     <Property Name="Disabled" Value="true" />
                     <Property Name="PageSize" Value="0" />
@@ -50,5 +50,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/Checkbox" Name="orxonox/FullscreenCheckbox" >
+            <Window Type="MenuWidgets/Checkbox" Name="orxonox/FullscreenCheckbox" >
                 <Property Name="Text" Value="Fullscreen" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -56,5 +56,5 @@
                 <Event Name="CheckStateChanged" Function="GraphicsMenu.GraphicsFullscreenCheckbox_clicked"/>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/GraphicsInfo" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/GraphicsInfo" >
                 <Property Name="Text" >
 Changes in graphics
@@ -69,5 +69,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/GraphicsBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/GraphicsBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: /code/trunk/data/gui/layouts/InGameMenu.layout
===================================================================
--- /code/trunk/data/gui/layouts/InGameMenu.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/InGameMenu.layout	(revision 6746)
@@ -6,6 +6,5 @@
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_ReturnButton" >
-            <Property Name="Font" Value="BlueHighway-12" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_ReturnButton" >
             <Property Name="Text" Value="Return to Game" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -14,6 +13,5 @@
             <Event Name="Clicked" Function="InGameMenu.button_return_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_MainMenuButton" >
-            <Property Name="Font" Value="BlueHighway-12" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_MainMenuButton" >
             <Property Name="Text" Value="Main Menu" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -22,6 +20,5 @@
             <Event Name="Clicked" Function="InGameMenu.button_mainmenu_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_SettingsButton" >
-            <Property Name="Font" Value="BlueHighway-12" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_SettingsButton" >
             <Property Name="Text" Value="Settings" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -30,6 +27,5 @@
             <Event Name="Clicked" Function="InGameMenu.button_settings_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_QuitButton" >
-            <Property Name="Font" Value="BlueHighway-12" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_QuitButton" >
             <Property Name="Text" Value="Quit" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: /code/trunk/data/gui/layouts/InGameTest.layout
===================================================================
--- /code/trunk/data/gui/layouts/InGameTest.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/InGameTest.layout	(revision 6746)
@@ -4,5 +4,5 @@
     <Property Name="UnifiedSize" Value="{{1.0,0},{1.0,0}}"/>
 
-        <Window Type="TaharezLook/Button" Name="orxonox/TestButton">
+        <Window Type="MenuWidgets/Button" Name="orxonox/TestButton">
             <Property Name="UnifiedPosition" Value="{{0.11,0},{0.528,0}}"/>
             <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
Index: /code/trunk/data/gui/layouts/InfoPopup.layout
===================================================================
--- /code/trunk/data/gui/layouts/InfoPopup.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/InfoPopup.layout	(revision 6746)
@@ -6,10 +6,9 @@
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="TaharezLook/StaticImage" Name="orxonox/InfoPopup_Background" >
+        <Window Type="MenuWidgets/StaticImage" Name="orxonox/InfoPopup_Background" >
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
             <Property Name="Alpha" Value="0.7" />
-            <Window Type="TaharezLook/Button" Name="orxonox/InfoPopup_close" >
-                <Property Name="Font" Value="BlueHighway-12" />
+            <Window Type="MenuWidgets/Button" Name="orxonox/InfoPopup_close" >
                 <Property Name="Text" Value="Close" />
                 <Property Name="Alpha" Value="0.7" />
@@ -19,5 +18,5 @@
                 <Event Name="Clicked" Function="InfoPopup.close"/>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/InfoPopup_text" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/InfoPopup_text" >
                 <Property Name="Text" Value="Template text" />
                 <Property Name="TextColours" Value="FF4444FF" />
Index: /code/trunk/data/gui/layouts/KeyBindMenu.layout
===================================================================
--- /code/trunk/data/gui/layouts/KeyBindMenu.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/KeyBindMenu.layout	(revision 6746)
@@ -6,5 +6,5 @@
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/KeyBindWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/KeyBindWindow" >
             <Property Name="Text" Value="Keybindings" />
             <Property Name="Alpha" Value="0.8" />
@@ -14,5 +14,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.15,0},{0.2125,0},{0.85,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/KeyBindWrapper" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/KeyBindWrapper" >
                 <Property Name="TextColours" Value="FF4444FF" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -21,5 +21,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
-                <Window Type="TaharezLook/ScrollablePane" Name="orxonox/KeyBindPane" >
+                <Window Type="MenuWidgets/ScrollablePane" Name="orxonox/KeyBindPane" >
                     <Property Name="ContentArea" Value="l:0 t:0 r:0 b:0" />
                     <Property Name="HorzStepSize" Value="0.005" />
@@ -34,5 +34,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/KeyBindBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/KeyBindBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: /code/trunk/data/gui/layouts/MainMenu.layout
===================================================================
--- /code/trunk/data/gui/layouts/MainMenu.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/MainMenu.layout	(revision 6746)
@@ -2,11 +2,11 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/MainMenuBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/MainMenuBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.02125,0},{1.02167,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/Button" Name="orxonox/QuickGameTestButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/QuickGameTestButton" >
             <Property Name="Text" Value="Quickstart" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -14,5 +14,5 @@
             <Event Name="Clicked" Function="MainMenu.QuickGameTestButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/SingleplayerButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/SingleplayerButton" >
             <Property Name="Text" Value="Singleplayer" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -20,5 +20,5 @@
             <Event Name="Clicked" Function="MainMenu.SingleplayerButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/MultiplayerButton" >
             <Property Name="Text" Value="Multiplayer" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -26,5 +26,5 @@
             <Event Name="Clicked" Function="MainMenu.MultiplayerButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/SettingsButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/SettingsButton" >
             <Property Name="Text" Value="Settings" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -32,5 +32,5 @@
             <Event Name="Clicked" Function="MainMenu.SettingsButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/CreditsButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/CreditsButton" >
             <Property Name="Text" Value="Credits" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -38,5 +38,5 @@
             <Event Name="Clicked" Function="MainMenu.CreditsButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/ExitButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/ExitButton" >
             <Property Name="Text" Value="Exit" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: /code/trunk/data/gui/layouts/MainMenuBackground.layout
===================================================================
--- /code/trunk/data/gui/layouts/MainMenuBackground.layout	(revision 6745)
+++ /code/trunk/data/gui/layouts/MainMenuBackground.layout	(revision 6746)
@@ -1,5 +1,5 @@
 <?xml version="1.0" ?>
 <GUILayout>
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/Background">
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/Background">
     <Property Name="UnifiedSize" Value="{{1.0,0},{1.0,0}}"/>
     <Property Name="Image" Value="set:MainMenuBackground image:Background"/>
